Get Bank List
curl --request GET \
--url https://api.payvessel.com/pms/api/external/request/wallet/banks/ \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-secret>'import requests
url = "https://api.payvessel.com/pms/api/external/request/wallet/banks/"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-secret>'}};
fetch('https://api.payvessel.com/pms/api/external/request/wallet/banks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Banks retrieved successfully",
"data": [
{
"bank_code": "058",
"bank_name": "Guaranty Trust Bank",
"bank_short_name": "GTBank",
"bank_logo_url": "https://assets.payvessel.com/banks/gtbank.png",
"is_active": true
}
]
}Transfer
Get Bank List
Retrieve list of supported banks for fund transfers
GET
/
pms
/
api
/
external
/
request
/
wallet
/
banks
/
Get Bank List
Retrieve list of supported banks for fund transfers.
Endpoint
GET/pms/api/external/request/wallet/banks/
Response
200
Media type:application/json
{
"status": true,
"message": "string",
"data": [
{
"bank_code": "string",
"bank_name": "string",
"bank_short_name": "string",
"bank_logo_url": "string",
"is_active": true
}
]
}
Response Fields
boolean
Request status indicator
string
Response message
array
List of supported banks
string
Unique bank code used for transfers
string
Full bank name
string
Short bank display name
string
URL to bank logo image
boolean
Whether the bank is currently active for transfers
⌘I
